Summary: ZBar is a small, layered bar code scanning and decoding library
Name: zbar
Version: 0.10
Release: 5%{?dist}
License: LGPLv2+
Group: Applications/Multimedia
URL: http://zbar.sourceforge.net/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0: zbar-0.10-debug.patch
Requires(post,postun): /sbin/ldconfig
BuildRequires: ImageMagick-devel >= 6.2.6, ImageMagick-c++-devel >= 6.2.6
BuildRequires: pkgconfig, automake, kernel-headers
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: zebra-barcode
Provides: zebra-barcode

%description
The ZBar Bar Code Reader is a library for scanning and decoding bar
codes from various sources such as video streams, image files or raw
intensity sensors. It supports EAN/UPC, Code 128, Code 39,
Interleaved 2 of 5 and QR Code. The flexible, layered architecture
features a fast, streaming interface with a minimal memory footprint.

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}
Obsoletes: zebra-barcode-devel
Provides: zebra-barcode-devel

%description devel
The %{name}-devel package contains static libraries and header
files needed to develop applications that use the %{name} library.

%prep
%setup -q
%patch0 -p1 -b .debug

%build
%{configure} \
  --disable-static \
  --disable-video \
  --without-xv \
  --without-npapi \
  --without-gtk \
  --without-python \
  --without-qt \
  --docdir=%{_docdir}/%{name}-%{version}
%{__make} XMLTO=""

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
%{__install} -m 0644 -p ChangeLog %{buildroot}/%{_docdir}/%{name}-%{version}/
find %{buildroot}/%{_libdir}/ -name '*.la' -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/*
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Apr 23 2020 Simon Matter <simon.matter@invoca.ch> 0.10-5
- rebuild for new ImageMagick on el7

* Wed Dec 17 2014 Simon Matter <simon.matter@invoca.ch> 0.10-4
- fix build on el7

* Wed Jul 31 2013 Simon Matter <simon.matter@invoca.ch> 0.10-3
- spec cleanup

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.10-2
- mass rebuild

* Fri Oct 23 2009 Simon Matter <simon.matter@invoca.ch> 0.10-1
- upgrade to 0.10

* Tue Sep 01 2009 Simon Matter <simon.matter@invoca.ch> 0.9-1
- upgrade to 0.9

* Sat Jun 06 2009 Simon Matter <simon.matter@invoca.ch> 0.8-1
- upgrade to 0.8

* Wed Apr 22 2009 Simon Matter <simon.matter@invoca.ch> 0.7-1
- upgrade to 0.7
- change package name from zebra-barcode to zbar

* Tue Mar 10 2009 Simon Matter <simon.matter@invoca.ch> 0.6-2
- remove private autofoo, not needed anymore

* Mon Mar 02 2009 Simon Matter <simon.matter@invoca.ch> 0.6-1
- upgrade to 0.6

* Wed Sep 24 2008 Simon Matter <simon.matter@invoca.ch> 0.5-1
- initial package
